pinv = player.getInventory()

if(pinv.getItemInSlot(25) != null)
{
if(pinv.getItemInSlot(25).getItemID() != 468)
{
for(i=0;i<25	;i++)
{
if(pinv.getItemInSlot(i) == null)
{
var pitem = pinv.getItemInSlot(25).copy();
pinv.emptySlot(25);
pinv.setSlot(i, item);
}
}
}
}
if (pinv.getSlotContainingItem(468) != -1)
{
if (pinv.getSlotContainingItem(468) != 25)
{
try
{
var count = pinv.getItemInSlot(25).getQuantity();
}
catch(e) { var count = 0; }
var item = pinv.getItemInSlot(pinv.getSlotContainingItem(468)).copy();
pinv.emptySlot(pinv.getSlotContainingItem(468));
if (count < 2)
{
if (item.getQuantity() + count <= 1)
{
item.setQuantity(item.getQuantity() + count);
}
else
{
item.setQuantity(1);
}
}
else
{
item.setQuantity(1);
}
pinv.setSlot(25, item);
}
}
